From:  yisroel@journeymanweb.com
Date:  26 Nov 2014 05:53:42 Hong Kong Time
Newsgroup:  news.php.net/php.pear.bugs
Subject:  

[PEAR-BUG] Bug #20445 [Opn]: Install is not taking into account dependency order in php.ini 'extension'

NNTP-Posting-Host:  null

Edit report at https://pear.php.net/bugs/bug.php?id=20445&edit=1

 ID:               20445
 Updated by:       yisroel@journeymanweb.com
 Reported By:      yisroel at journeymanweb dot com
 Summary:          Install is not taking into account dependency order
                    in php.ini 'extension'
 Status:           Open
 Type:             Bug
 Package:          PEAR
 Package Version:  1.9.5
-PHP Version:      5.4.35
+PHP Version:      Irrelevant
 Roadmap Versions: 
 New Comment:

-PHP Version: 5.4.35
+PHP Version: Irrelevant



Previous Comments:
------------------------------------------------------------------------

[2014-11-25 21:47:59] kingizzzy

Description:
------------
I installed pecl_http

Executing a PHP page yielded an error_log file with:

PHP Warning:  PHP Startup: Unable to load dynamic library 
'/usr/local/lib/php/extensions/no-debug-non-zts-20100525/http.so' - 
/usr/local/lib/php/extensions/no-debug-non-zts-20100525/http.so: 
undefined symbol: php_persistent_handle_abandon in Unknown on line 0

This helped: http://stackoverflow.com/a/22429148

The installer does not enter the 'extension' entries into php.ini in the
right 
order. Manually moving the http.so extension to after the others fixed 
the issue.

Expected result:
----------------
The installer should enter the 'extension' entries into php.ini in the
right 
order.

------------------------------------------------------------------------


-- 
Edit this bug report at https://pear.php.net/bugs/bug.php?id=20445&edit=1